Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class TestStepBeanProperty

    java.lang.Object
      com.eviware.soapui.model.support.DefaultTestStepProperty
          com.eviware.soapui.model.support.TestStepBeanProperty

All Implemented Interfaces:
  TestStepProperty

    public class TestStepBeanProperty

extends DefaultTestStepProperty

TestStepProperty implementation that maps to a standard javabean property

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `TestStepBeanProperty.BeanPropertyHandler` PropertyHandler for setting/getting bean properties

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.DefaultTestStepProperty
`DefaultTestStepProperty.PropertyHandler, DefaultTestStepProperty.PropertyHandlerAdapter, DefaultTestStepProperty.SimplePropertyHandler`

Constructor Summary
`TestStepBeanProperty(java.lang.String name, boolean isReadOnly, java.lang.Object targetObject, java.lang.String targetName, TestStep testStep)`

Method Summary

Methods inherited from class com.eviware.soapui.model.support.DefaultTestStepProperty
`getDescription, getName, getTestStep, getValue, isReadOnly, setDescription, setIsReadOnly, setPropertyHandler, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestStepBeanProperty

    public TestStepBeanProperty(java.lang.String name,
                                boolean isReadOnly,
                                java.lang.Object targetObject,
                                java.lang.String targetName,
                                TestStep testStep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.